Page MenuHomePhabricator

Update the CI to test MediaWiki with Microsoft SQL Server & Oracle Database
Closed, DeclinedPublic

Description

Problem
We "support" MIcrosoft SQL Server and Oracle Database, but we don't run the tests against these database servers.

Solution
Microsoft provides a "free" (as in beer) container for SQL Server:
https://hub.docker.com/r/microsoft/mssql-server-linux/
more info: https://docs.microsoft.com/en-us/sql/linux/quickstart-install-connect-docker

Oracle also provides a "free" (as in beer) container for Oracle Database:
https://container-registry.oracle.com/

We ought to use these containers to execute our tests within these database environments.

Alternatively, we should stop supporting them. :)

Event Timeline

dbarratt created this task.Jun 23 2018, 3:24 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 23 2018, 3:24 AM

We "support" MIcrosoft SQL Server and Oracle Database

https://www.mediawiki.org/w/index.php?title=Compatibility&oldid=2807141#Database says:
"The included abstraction layers for Oracle and Microsoft SQL Server are essentially unmaintained and are unlikely to work out of the box. Running MediaWiki on anything other than MySQL or MariaDB is not recommended for production use at this point."

Alternatively, we should stop supporting them. :)

If that translated to "removing code", see https://phabricator.wikimedia.org/T113831

https://www.mediawiki.org/w/index.php?title=Compatibility&oldid=2807141#Database says:
"The included abstraction layers for Oracle and Microsoft SQL Server are essentially unmaintained and are unlikely to work out of the box. Running MediaWiki on anything other than MySQL or MariaDB is not recommended for production use at this point."

If that's true, then I think we should remove the code to reduce confusion, or we should commit to running the tests on the CI.

See the patch on T197144

MaxSem closed this task as Declined.Jun 24 2018, 11:55 PM
MaxSem added a subscriber: MaxSem.

Unfortunately, we are not allowed to run non-free software anywhere in our infrastructure, even if it's available free-as-in-beer on Docker Hub.

Unfortunately, we are not allowed to run non-free software anywhere in our infrastructure, even if it's available free-as-in-beer on Docker Hub.

so... what you're saying is... is that we "support" non-free databases, but we cannot run those databases in order to support them?

Vvjjkkii renamed this task from Update the CI to test MediaWiki with Microsoft SQL Server & Oracle Database to gfaaaaaaaa.Jul 1 2018, 1:02 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot closed this task as Declined.
CommunityTechBot renamed this task from gfaaaaaaaa to Update the CI to test MediaWiki with Microsoft SQL Server & Oracle Database.
CommunityTechBot added a subscriber: Aklapper.